#ifndef CONTACTTYPECOMBOBOX_H
#define CONTACTTYPECOMBOBOX_H

#include <cadadata/ContactType.h>

#include <QComboBox>

namespace CADAUIComponents
{
	class ContactTypeComboBox : public QComboBox
	{
		Q_OBJECT

		private:

		public:
			explicit ContactTypeComboBox(QWidget *parent = 0);

			const CADAData::ContactType& currentContactType() const throw( CADAData::Exception );

			void setCurrentContactType( const CADAData::ContactType& region ) throw( CADAData::Exception );
	};
}

#endif // CONTACTTYPECOMBOBOX_H
