#ifndef DEALERCOMBOBOX_H
#define DEALERCOMBOBOX_H

#include <cadadata/Dealer.h>

#include <QComboBox>

namespace CADAUIComponents
{
	class DealerComboBox : public QComboBox
	{
		Q_OBJECT

		private:

		public:
			explicit DealerComboBox( QWidget *parent = 0 );

			const CADAData::Dealer& currentDealer() const throw( CADAData::Exception );

			void setCurrentDealer( const CADAData::Dealer& dealer ) throw( CADAData::Exception );

		signals:

		public slots:

	};
}

#endif // DEALERCOMBOBOX_H
