#ifndef DEALERINFOWIDGET_H
#define DEALERINFOWIDGET_H

#include <cadadata/Dealer.h>

#include <QWidget>

namespace Ui
{
	class DealerInfoWidget;
}

namespace CADAUIComponents
{
	class DealerInfoWidget : public QWidget
	{
		Q_OBJECT

		private:
			Ui::DealerInfoWidget *ui;
			CADAData::Dealer* _pdealer;

		public:
			explicit DealerInfoWidget(QWidget *parent = 0);
			~DealerInfoWidget();

			void setDealer( CADAData::Dealer& dealer );
			void save() throw( CADAData::Exception );
	};
}

#endif // DEALERINFOWIDGET_H
