#ifndef DEALERTREEWIDGETITEM_H
#define DEALERTREEWIDGETITEM_H

#include <cadadata/Dealer.h>

#include <QTreeWidgetItem>

namespace CADAUIComponents
{
	class DealerTreeWidgetItem : public QTreeWidgetItem
	{
		private:
			CADAData::Dealer& _dealer;

		public:
			explicit DealerTreeWidgetItem( QTreeWidget* pparent, CADAData::Dealer& dealer );

			CADAData::Dealer& dealer();
	};
}

#endif // DEALERTREEWIDGETITEM_H
