#ifndef DEALERWIDGET_H
#define DEALERWIDGET_H

#include <cadadata/Dealer.h>

#include <QMainWindow>

namespace Ui
{
	class DealerWidget;
}

namespace CADAUIComponents
{
	class DealerWidget : public QMainWindow
	{
		Q_OBJECT

		private:
			Ui::DealerWidget *ui;
			CADAData::Dealer& _dealer;

		public:
			explicit DealerWidget( QWidget* pparent, CADAData::Dealer& dealer );
			~DealerWidget();

		protected slots:
			void onSave();
	};
}

#endif // DEALERWIDGET_H
