#ifndef TXNTREEWIDGETITEM_H
#define TXNTREEWIDGETITEM_H

#include <cadadata/Txn.h>

#include <QTreeWidgetItem>

namespace CADAUIComponents
{
	class TxnTreeWidgetItem : public QTreeWidgetItem
	{
		private:
			CADAData::Txn& _txn;

		public:
			explicit TxnTreeWidgetItem( QTreeWidget *parent, CADAData::Txn& txn );

			void refresh();

			CADAData::Txn& txn() const;

		signals:

		public slots:

	};
}

#endif // TXNTREEWIDGETITEM_H
