#ifndef __CADAData_CADAManager_h__
#define __CADAData_CADAManager_h__

#include <cadadata/CADAData.h>

#include <cadadata/Exception.h>
#include <cadadata/Article.h>

namespace CADAData
{
	class CADAManager
	{
		public:
			virtual void openArticle( int nArticleId ) throw( CADAData::Exception ) = 0;
			virtual void openArticle( Article& article ) throw( CADAData::Exception ) = 0;
			virtual void createArticle() throw( CADAData::Exception ) = 0;
			virtual void createArticle( int nArticleId ) throw( CADAData::Exception ) = 0;
			virtual void openDealer( const std::string strDealer ) throw( CADAData::Exception ) = 0;
			virtual void openDealer( Dealer& dealer ) throw( CADAData::Exception ) = 0;
	};
}
#endif /* !__CADAData_CADAManager_h__ */
