#ifndef ARTICLETREEWIDGETITEM_H
#define ARTICLETREEWIDGETITEM_H

#include <cadadata/Article.h>
#include <QTreeWidget>

namespace CADAUIComponents
{
	class ArticleTreeWidgetItem : public QTreeWidgetItem
	{
		private:
			CADAData::Article& _article;

		public:
			explicit ArticleTreeWidgetItem( QTreeWidget *pparent, CADAData::Article& article );
			virtual ~ArticleTreeWidgetItem();

			virtual bool operator<( const QTreeWidgetItem& pitem ) const;

			void refresh();

			const CADAData::Article& article() const;
			CADAData::Article& article();
	};
}

#endif // ARTICLETREEWIDGETITEM_H
