#ifndef BULKTXNDIALOG_H
#define BULKTXNDIALOG_H

#include <cadadata/Txn.h>

#include <QDialog>

namespace Ui
{
	class BulkTxnDialog;
}

namespace CADAUIComponents
{
	class BulkTxnDialog : public QDialog
	{
		Q_OBJECT

		private:
			Ui::BulkTxnDialog *ui;
			bool _bBulk;
			CADAData::Txn* _ptxn;

		public:
			explicit BulkTxnDialog( QWidget *parent, CADAData::Txn* ptxn = NULL, bool bBulk = false );
			~BulkTxnDialog();

		protected slots:
			virtual void accept();
	};
}

#endif // BULKTXNDIALOG_H
