#ifndef DEALERCONTACTTREEWIDGETITEM_H
#define DEALERCONTACTTREEWIDGETITEM_H

#include <cadadata/DealerContact.h>

#include <QTreeWidgetItem>

namespace CADAUIComponents
{
	class DealerContactTreeWidgetItem : public QTreeWidgetItem
	{
		private:
			CADAData::DealerContact& _dealerContact;

		public:
			DealerContactTreeWidgetItem( QTreeWidget* pparent, CADAData::DealerContact& dealerContact );

			CADAData::DealerContact& dealerContact();

			void refresh();
	};
}

#endif // DEALERCONTACTTREEWIDGETITEM_H
