#ifndef GALLERYCOMBOBOX_H
#define GALLERYCOMBOBOX_H

#include <cadadata/Gallery.h>

#include <QComboBox>

namespace CADAUIComponents
{
	class GalleryComboBox : public QComboBox
	{
		Q_OBJECT

		private:

		public:
			explicit GalleryComboBox( QWidget *parent = 0 );

			const CADAData::Gallery& currentGallery() const throw( CADAData::Exception );

			void setCurrentGallery( const CADAData::Gallery& gallery ) throw( CADAData::Exception );
	};
}

#endif // GALLERYCOMBOBOX_H
