#ifndef OPENDEALERDIALOG_H
#define OPENDEALERDIALOG_H

#include <cadadata/Dealer.h>

#include <QDialog>

class QTreeWidgetItem;

namespace Ui
{
	class OpenDealerDialog;
}

namespace CADAUIComponents
{
	class OpenDealerDialog : public QDialog
	{
		Q_OBJECT

		private:
			Ui::OpenDealerDialog *ui;
			CADAData::Dealer* _pdealer;

		public:
			explicit OpenDealerDialog( QWidget *parent = 0 );
			~OpenDealerDialog();

		protected slots:
			virtual void accept();
			void onClickedDealr( QTreeWidgetItem* pitem, int );
			void onDblClickedDealr( QTreeWidgetItem* pitem, int );
	};
}

#endif // OPENDEALERDIALOG_H
