#ifndef OPENTXNDIALOG_H
#define OPENTXNDIALOG_H

#include <cadadata/Txn.h>

#include <QDialog>
#include <QTreeWidgetItem>

namespace Ui
{
	class OpenTxnDialog;
}

namespace CADAUIComponents
{
	class OpenTxnDialog : public QDialog
	{
		Q_OBJECT

		private:
			Ui::OpenTxnDialog *ui;

		public:
			explicit OpenTxnDialog(QWidget *parent = 0);
			~OpenTxnDialog();

			void setTransactions( CADAData::TxnPtrMap& txnS );

		protected slots:
			void onDoubleClickTxn( QTreeWidgetItem* pitem );
			virtual void accept();
	};
}

#endif // OPENTXNDIALOG_H
