#ifndef REGIONCOMBOBOX_H
#define REGIONCOMBOBOX_H

#include <cadadata/Region.h>

#include <QComboBox>

namespace CADAUIComponents
{
	class RegionComboBox : public QComboBox
	{
		Q_OBJECT

		private:

		public:
			explicit RegionComboBox(QWidget *parent = 0);

			const CADAData::Region& currentRegion() const throw( CADAData::Exception );

			void setCurrentRegion( const CADAData::Region& region ) throw( CADAData::Exception );
	};
}

#endif // REGIONCOMBOBOX_H
