#ifndef SPLASHWIDGET_H
#define SPLASHWIDGET_H

#include <cadauicomponents/CADAUIComponents.h>

#include <Base4c/Version.h>

#include <QWidget>

class QLabel;

namespace CADAUIComponents
{
	class CADAUIComponents_Export SplashWidget : public QWidget
	{
		Q_OBJECT

		private:
			QLabel* _plblSplash;
			QLabel* _plblCADAManager;
			QLabel* _plblVersion;
			QLabel* _plblCopyright;
	//		QLabel* _plblVersionDaemon;
			QLabel* _plblProgress;

		public:
			SplashWidget( QWidget* pparent = 0 );
			virtual ~SplashWidget();

	//		void setDaemonVersion( const NavtechFTT::Version& version );
			void setProgress( const QString& strMessage = QString() );
	};
}

#endif // SPLASHWIDGET_H
