#ifndef TXNWIDGET_H
#define TXNWIDGET_H

#include <cadauicomponents/CADAUIComponents.h>

#include <cadadata/Dealer.h>

#include <QWidget>
#include <QTreeWidgetItem>

namespace Ui
{
	class TxnWidget;
}

namespace CADAUIComponents
{
	class CADAUIComponents_Export TxnWidget : public QWidget
	{
		Q_OBJECT

		private:
			Ui::TxnWidget *ui;
			CADAData::Dealer* _pdealer;

		public:
			explicit TxnWidget(QWidget *parent = 0);
			~TxnWidget();

			void setDealer( CADAData::Dealer& dealer );

		protected slots:
			void onDoubleClickTxn( QTreeWidgetItem* pitem );
	};
}

#endif // TXNWIDGET_H
